Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class UserInstanceManager.UserInstanceHolder

    java.lang.Object
      org.jasig.portal.UserInstanceManager.UserInstanceHolder

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

Enclosing class:
  UserInstanceManager

    private static class UserInstanceManager.UserInstanceHolder

extends java.lang.Object
implements java.io.Serializable, javax.servlet.http.HttpSessionBindingListener

Serializable wrapper class so the UserInstance object can be indirectly stored in the session. The manager can deal with this class returning a null value and its field is transient so the session can be serialized successfully with the UserInstance object in it.

Implements HttpSessionBindingListener and delegates those methods to the wrapped UserInstance, if present.

Field Summary
`static java.lang.String` | `KEY`
`private UserInstance` | `ui`

Constructor Summary
`private` | `UserInstanceManager.UserInstanceHolder()`

Method Summary
`protected UserInstance` | `getUserInstance()`
`protected void` | `setUserInstance(UserInstance userInstance)`
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final transient java.lang.String KEY

### ui

    private transient UserInstance ui

Constructor Detail

### UserInstanceManager.UserInstanceHolder

    private UserInstanceManager.UserInstanceHolder()

Method Detail

### getUserInstance

    protected UserInstance getUserInstance()

  Returns:
    Returns the userInstance.

### setUserInstance

    protected void setUserInstance(UserInstance userInstance)

  Parameters:
    `userInstance` - The userInstance to set.

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD